Package org.jboss.modules

# Class ConcreteModuleSpec

java.lang.Object
org.jboss.modules.ModuleSpec
org.jboss.modules.ConcreteModuleSpec

public final class ConcreteModuleSpec extends ModuleSpec
A `Module` specification for a concrete module implementation.

Author:
  John Bailey, David M. Lloyd

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.modules.ModuleSpec

`ModuleSpec.AliasBuilder, ModuleSpec.Builder`

## Method Summary

Modifier and Type
Method
Description
`DependencySpec[]`
`getDependencies()`
`String`
`getMainClass()`
`Version`
`getVersion()`

### Methods inherited from class org.jboss.modules.ModuleSpec

`build, build, buildAlias, buildAlias, getModuleIdentifier, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getMainClass

public String getMainClass()

### getDependencies

public DependencySpec[] getDependencies()

### getVersion

public Version getVersion()